ข้ามไปยังเนื้อหา

Mureka 9.5 Podcast Generation

ผสานการทำงาน

ID โมเดล mureka/api/generate/podcast
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/podcast?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "conversations": [
      {
        "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "voice": "Ethan"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.019 19 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Mureka เสียง #podcast#speech#audio-generation

สร้างเสียงพอดแคสต์จากรายการลำดับบทสนทนา โดยกำหนดเสียงแยกสำหรับแต่ละช่วง

Mureka · เสียง

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

ลำดับช่วงสนทนาสำหรับการสร้างเสียงพอดแคสต์

ขั้นสูง enable_safety_checker
POST /run/mureka/api/generate/podcast?wait=20 ใบเสนอราคา → $0.019
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/podcast?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "conversations": [
      {
        "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "voice": "Ethan"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Mureka 9.5 Podcast Generation

อาร์เรย์ `conversations` ที่จำเป็นต้องมีช่วงบทสนทนาเรียงลำดับ 1 ถึง 10 ช่วง โดยแต่ละช่วงประกอบด้วยข้อความและการเลือกเสียง ผลลัพธ์คือไฟล์เสียง ระยะเวลาเป็นมิลลิวินาทีเมื่อมีข้อมูล และ `song_id` ที่นำกลับมาใช้ซ้ำได้

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
conversationsจำเป็น
ประเภทobject[]
≤ 10 รายการ
ลำดับช่วงสนทนาสำหรับการสร้างเสียงพอดแคสต์
conversations[].textจำเป็น
ประเภทstring
1 – 400 characters
ข้อความพูดสำหรับช่วงสนทนาปัจจุบัน จำกัดไม่เกิน 400 อักขระ
conversations[].voiceจำเป็น
ประเภทenum
EthanVictoriaJakeLunaEmma
เสียงในระบบที่กำหนดให้กับช่วงสนทนาปัจจุบัน
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "mureka/api/generate/podcast",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 19,
    "usd": "0.019",
    "charged": 19,
    "refunded": 0
  },
  "input": {
    "conversations": [
      {
        "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "voice": "Ethan"
      }
    ]
  },
  "output": {
    "song_id": "string",
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "duration": 5,
    "lyrics_sections": [
      {
        "section_type": "intro",
        "start": 1,
        "end": 1,
        "lines": [
          {}
        ]
      }
    ]
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
song_id
string | nullตัวระบุเสียงที่นำกลับมาใช้ซ้ำได้สำหรับเอนด์พอยต์ที่รองรับ song_id
audio
object {url, content_type, file_name, file_size}ไฟล์เสียงที่สร้างขึ้น
duration
integer | nullความยาวเสียงที่สร้างขึ้น วัดเป็นมิลลิวินาที หากมีข้อมูล
lyrics_sections
array of object {section_type, start, end, lines} | nullส่วนเนื้อเพลงพร้อมข้อมูลเวลาในเสียงที่สร้างขึ้น หากมีข้อมูล

โมเดลเพิ่มเติม: เสียง

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/mureka/api/generate/podcast.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt